#if defined(ARDUINO) && ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif

#include <Wire.h>
#include <DS1307.h> 
#include <LiquidCrystal_I2C.h>

#define BACKLIGHT_PIN 3

LiquidCrystal_I2C lcd(0x3F,16, 2);

int GODZ;               									
int MIN;                									
int SEC; 

void setup()
	{
		lcd.begin(16,2);									
		Wire.begin();
		lcd.setBacklightPin(BACKLIGHT_PIN, POSITIVE);		 
		lcd.setBacklight(HIGH);								
		lcd.home();											
		
		Serial.begin(9600);
		
		RTC.stop();
		RTC.set(DS1307_SEC,00);			//TU WPISUJESZ SEKUNDY
		RTC.set(DS1307_MIN,00);			//MINUTY
		RTC.set(DS1307_HR,00);			//GODZINY
		RTC.set(DS1307_DOW,0); 			//DZIEN TYGODNIA
		RTC.set(DS1307_DATE,17);		//DZIEŃ
		RTC.set(DS1307_MTH,11);			//MIESIĄC
		RTC.set(DS1307_YR,16);			//ROK
		RTC.start();
		
		lcd.setCursor(0,0);									
		lcd.print("                ");						
		lcd.setCursor(0,1);									
		lcd.print("                ");
	}

void loop()
	{
		Serial.print(RTC.get(DS1307_HR,true)); //read the hour and also update all the values by pushing in true
		Serial.print(":");
		Serial.print(RTC.get(DS1307_MIN,false));//read minutes without update (false)
		Serial.print(":");
		Serial.print(RTC.get(DS1307_SEC,false));//read seconds
		Serial.print("      ");                 // some space for a more happy life
		Serial.print(RTC.get(DS1307_DATE,false));//read date
		Serial.print("/");
		Serial.print(RTC.get(DS1307_MTH,false));//read month
		Serial.print("/");
		Serial.print(RTC.get(DS1307_YR,false)); //read year
		Serial.println();
		
		lcd.setCursor(0,0);		
		lcd.print(GODZ);
		lcd.print(":");
		lcd.print(MIN);
		lcd.print(":");
		lcd.print(SEC);
		lcd.print("    "); 

		delay(1000);
	}


